curl --request GET \
--url 'https://gateway.amana.io/kyc/{formId}'
import requests
url = "https://gateway.amana.io/kyc/{formId}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/kyc/{formId}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"id": "<string>",
"sections": [
{
"id": "<string>",
"title": "<string>",
"order": 123.45,
"questions": [
{
"locale": "<string>",
"name": "<string>",
"label": "<string>",
"default_value": "<string>",
"type": "text",
"required": true,
"order": 123.45,
"answer_logic": [],
"show_if": "<string>",
"options": [
{}
],
"published": true
}
]
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Onboarding & KYC
Get KYC form
Get the questions and sections of a KYC form.
GET
/
kyc
/
{formId}
curl --request GET \
--url 'https://gateway.amana.io/kyc/{formId}'
import requests
url = "https://gateway.amana.io/kyc/{formId}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/kyc/{formId}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"id": "<string>",
"sections": [
{
"id": "<string>",
"title": "<string>",
"order": 123.45,
"questions": [
{
"locale": "<string>",
"name": "<string>",
"label": "<string>",
"default_value": "<string>",
"type": "text",
"required": true,
"order": 123.45,
"answer_logic": [],
"show_if": "<string>",
"options": [
{}
],
"published": true
}
]
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Path parameters
string
required
ID of the KYC form.
Query parameters
string
default:"en"
Language code for the returned content, for example en or ar.
Response
200 Success.
string
object[]
Show properties
Show properties
Possible Errors
| Error | Possible cause | What to do |
|---|---|---|
| 400 | Invalid or missing field | Check the request against the schema. |
| 403 | IP not whitelisted, or account restricted | Confirm your IP is whitelisted; otherwise contact Amana. |
| 429 / 5xx | Rate limit, or temporary issue on our side | Retry with backoff; contact support if it persists. |
curl --request GET \
--url 'https://gateway.amana.io/kyc/{formId}'
import requests
url = "https://gateway.amana.io/kyc/{formId}"
headers = {}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/kyc/{formId}', {
method: 'GET',
headers: {},
});
console.log(await response.json());
{
"id": "<string>",
"sections": [
{
"id": "<string>",
"title": "<string>",
"order": 123.45,
"questions": [
{
"locale": "<string>",
"name": "<string>",
"label": "<string>",
"default_value": "<string>",
"type": "text",
"required": true,
"order": 123.45,
"answer_logic": [],
"show_if": "<string>",
"options": [
{}
],
"published": true
}
]
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Last modified on October 8, 2026
